AMQ(8)

NAME
amq - automounter query tool

SYNOPSIS
amq [ -fmpsuv ] [ -h hostname ] [ -l log_file ] [ -x log_options ] [ -D debug_options ] [ -M mountmap entry ] [ -P program_number ] [ directory ] ...

DESCRIPTION
Amq provides a simple way of determining the current state of amd program. Communication is by RPC. Three modes of operation are supported by the current protocol. By default a list of mount points and auto-mounted filesystems is output. An alternative host can be specified using the -h option.

If directory names are given, as output by default, then per-filesystem information is displayed.

OPTIONS

-f  Ask the automounter to flush the internal caches.

-h hostname
    Specify an alternate host to query. By default the local host is used. In an HP-UX cluster, the root server is queried by default, since that is the system on which the automounter is normally run.

-l log_file
    Tell amd to use log_file as the log file name. For security reasons, this must be the same log file which amd used when started. This option is therefore only useful to refresh amd's open file handle on the log file, so that it can be rotated and compressed via daily cron jobs.

-m  Ask the automounter to provide a list of mounted filesystems, including the number of references to each filesystem and any error which occurred while mounting.

-p  Return the process ID of the remote or locally running amd. Useful when you need to send a signal to the local amd process, and would rather not have to search through the process table. This option is used in the ctl-amd script.

-s  Ask the automounter to provide system-wide mount statistics.

-u  Ask the automounter to unmount the filesystems named in directory instead of providing information about them. Unmounts are requested, not forced. They merely cause the mounted filesystem to timeout, which will be picked up by amd's main scheduler thus causing the normal timeout action to be taken.

-v  Ask the automounter for its version information. This is a subset of the information output by amd's -v option.

-x log_options
    Ask the automounter to use the logging options specified in log_options from now on.

-D log_options
    Ask the automounter to use the debugging options specified in debug_options from now on.

-M map_ent
    Pass a mount map entry to amd and wait for it to be evaluated, possible causing a mount. This option is highly insecure. By default, amd and amq do not support it. You have to configure am-utils with --enable-amq-mount to enable this option.

-P program_number
    Contact an alternate running amd that had registered itself on a different RPC program_number and apply all other operations to that instance of the automounter. This is useful when you run multiple copies of amd, and need to manage each one separately. If not specified, amq will use the default program number for amd, 300019. For security reasons, the only alternate program numbers amd can use range from 300019 to 300029, inclusive.

FILES
amq.x
    RPC protocol description.

CAVEATS
Amq uses a Sun registered RPC program number (300019 decimal) which may not be in the /etc/rpc database.

SEE ALSO
amd(8), ctl-amd(8), amd.conf(5).

AUTHORS
Jan-Simon Pendry <jsp@doc.ic.ac.uk>, Department of Computing, Imperial College, London, UK.
Erez Zadok <ezk@cs.columbia.edu>, Department of Computer Science, Columbia University, New York, USA.
Other authors and contributors to am-utils are listed in the AUTHORS file distributed with am-utils.